@import '../../../static/style/variables';

.modal-container {
  width: 100vw;
  height: 100vh;

  position: fixed;
  top: 0;
  left: 0;
  padding: 0;
  margin: 0;
  z-index: 1001;
  background: rgba($main-dark, 0.5);
  color: #fff;
  .dialog {
    width: 450px;
    height: 100vh;
    z-index: 1002;
    transition: all .3s;
    background: rgba($main-dark, 0.9);
    position: fixed;
    top: 0;
    right: 0;
    padding: 10px;
    .actions {
      button {
        margin-right: 10px;
      }

    }
    @media (max-width: 575px) {
      width: 80vw;
    }
  }

  &.collapsed {
    background: rgba($main-dark, 0);
    top: -100vh;
    .dialog {
      right: -450px;
    }
  }
}
